Debian Bug report logs - #651437
UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte

version graph

Package: python3; Maintainer for python3 is Matthias Klose <doko@debian.org>; Source for python3 is src:python3-defaults.

Reported by: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Date: Thu, 8 Dec 2011 16:15:02 UTC

Severity: normal

Found in version python3-defaults/3.1.3-12

Fixed in versions python3-defaults/3.2~rc1-1, python3-defaults/3.1.3-12+squeeze1

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#651437; Package boost1.48. (Thu, 08 Dec 2011 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Thu, 08 Dec 2011 16:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte
Date: Thu, 08 Dec 2011 17:12:21 +0100
Package: boost1.48
Severity: serious
Justification: FTBFS


Hi,

Thanks for providing boost 1.48, however I cannot build it on my squeez system, it fails with:

dh_python2
W: dh_python2:94: Python 2.6 should install files in /usr/lib/python2.6/dist-packages/. Did you forget "--install-layout=deb"?
W: dh_python2:293: Python 3.x location detected, please use dh_python3: debian/libboost-mpi-python1.48.0/usr/lib/python3.1
dh_python3
Traceback (most recent call last):
  File "/usr/bin/dh_python3", line 395, in <module>
    main()
  File "/usr/bin/dh_python3", line 333, in main
    stats = scan(package, private_dir)
  File "/usr/bin/dh_python3", line 232, in scan
    res = shebang2pyver(fpath)
  File "/usr/share/python3/debpython/tools.py", line 100, in shebang2pyver
    data = fp.read(32)
  File "/usr/lib/python3.1/codecs.py", line 300, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte
make[1]: *** [binary-common] Error 1
make[1]: Leaving directory `/home/mathieu/tmp/boost1.48-1.48.0'
make: *** [binary-indep] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2


Thanks

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#651437; Package boost1.48. (Fri, 09 Dec 2011 04:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Fri, 09 Dec 2011 04:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 651437@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 651437@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#651437: UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte
Date: Thu, 8 Dec 2011 22:08:20 -0600
[Message part 1 (text/plain, inline)]
severity 651437 normal
thanks

The upload is for "sid"; failing to build on squeeze is not Release Critical.


On Thu, Dec 08, 2011 at 05:12:21PM +0100, Mathieu Malaterre wrote:

> Thanks for providing boost 1.48, however I cannot build it on my squeez system, 
> it fails with:
> 
> dh_python2
> W: dh_python2:94: Python 2.6 should install files in /usr/lib/python2.6/dist-packages/. Did you forget "--install-layout=deb"?
> W: dh_python2:293: Python 3.x location detected, please use dh_python3: debian/libboost-mpi-python1.48.0/usr/lib/python3.1
> dh_python3
> Traceback (most recent call last):
>   File "/usr/bin/dh_python3", line 395, in <module>
>     main()
>   File "/usr/bin/dh_python3", line 333, in main
>     stats = scan(package, private_dir)
>   File "/usr/bin/dh_python3", line 232, in scan
>     res = shebang2pyver(fpath)
>   File "/usr/share/python3/debpython/tools.py", line 100, in shebang2pyver
>     data = fp.read(32)
>   File "/usr/lib/python3.1/codecs.py", line 300, in decode
>     (result, consumed) = self._buffer_decode(data, self.errors, final)
> UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte

It's not clear this has anything to do with boost; rather, this looks like a bug in "dh_python3".

-Steve
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'serious' Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Fri, 09 Dec 2011 04:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#651437; Package boost1.48. (Fri, 09 Dec 2011 08:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Fri, 09 Dec 2011 08:39:06 GMT) Full text and rfc822 format available.

Message #17 received at 651437@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 651437@bugs.debian.org, control@bugs.debian.org
Subject: Re: [pkg-boost-devel] Bug#651437: UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte
Date: Fri, 9 Dec 2011 09:36:56 +0100
reassign 651437 python3 3.1.3-12
thanks

On Fri, Dec 9, 2011 at 5:08 AM, Steve M. Robbins <steve@sumost.ca> wrote:
> On Thu, Dec 08, 2011 at 05:12:21PM +0100, Mathieu Malaterre wrote:
>
>> Thanks for providing boost 1.48, however I cannot build it on my squeez system,
>> it fails with:
>>
>> dh_python2
>> W: dh_python2:94: Python 2.6 should install files in /usr/lib/python2.6/dist-packages/. Did you forget "--install-layout=deb"?
>> W: dh_python2:293: Python 3.x location detected, please use dh_python3: debian/libboost-mpi-python1.48.0/usr/lib/python3.1
>> dh_python3
>> Traceback (most recent call last):
>>   File "/usr/bin/dh_python3", line 395, in <module>
>>     main()
>>   File "/usr/bin/dh_python3", line 333, in main
>>     stats = scan(package, private_dir)
>>   File "/usr/bin/dh_python3", line 232, in scan
>>     res = shebang2pyver(fpath)
>>   File "/usr/share/python3/debpython/tools.py", line 100, in shebang2pyver
>>     data = fp.read(32)
>>   File "/usr/lib/python3.1/codecs.py", line 300, in decode
>>     (result, consumed) = self._buffer_decode(data, self.errors, final)
>> UnicodeDecodeError: 'utf8' codec can't decode byte 0xa8 in position 41: invalid start byte
>
> It's not clear this has anything to do with boost; rather, this looks like a bug in "dh_python3".


-- 
Mathieu




Bug reassigned from package 'boost1.48' to 'python3'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 08:39:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions python3-defaults/3.1.3-12. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 08:39:08 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions python3-defaults/3.2~rc1-1. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Mon, 02 Jan 2012 05:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#651437; Package python3. (Mon, 02 Jan 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 02 Jan 2012 06:33:03 GMT) Full text and rfc822 format available.

Message #28 received at 651437@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 651437@bugs.debian.org
Subject: Fixed in revision 83
Date: Mon, 02 Jan 2012 01:31:11 -0500
http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-
debian/revision/83/debpython/tools.py

=== modified file 'debpython/tools.py'
--- debpython/tools.py	2010-12-24 00:06:55 +0000
+++ debpython/tools.py	2011-01-14 21:54:02 +0000
@@ -97,9 +97,12 @@
     :returns: pair of Python interpreter string and Python version
     """
     try:
-        with open(fname) as fp:
+        with open(fname, 'rb') as fp:
             data = fp.read(32)
-            match = SHEBANG_RE.match(data)
+            if b"\0" in data:
+                # binary file
+                return None
+            match = SHEBANG_RE.match(str(data, 'utf-8'))
             if not match:
                 return None
             res = match.groups()




Added tag(s) pending. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Thu, 05 Jan 2012 23:24:07 GMT) Full text and rfc822 format available.

Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. (Sat, 07 Jan 2012 13:54:04 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Sat, 07 Jan 2012 13:54:04 GMT) Full text and rfc822 format available.

Message #35 received at 651437-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 651437-close@bugs.debian.org
Subject: Bug#651437: fixed in python3-defaults 3.1.3-12+squeeze1
Date: Sat, 07 Jan 2012 13:52:30 +0000
Source: python3-defaults
Source-Version: 3.1.3-12+squeeze1

We believe that the bug you reported is fixed in the latest version of
python3-defaults, which is due to be installed in the Debian FTP archive:

idle3_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/idle3_3.1.3-12+squeeze1_all.deb
python3-all-dbg_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-all-dbg_3.1.3-12+squeeze1_all.deb
python3-all-dev_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-all-dev_3.1.3-12+squeeze1_all.deb
python3-all_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-all_3.1.3-12+squeeze1_all.deb
python3-dbg_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-dbg_3.1.3-12+squeeze1_all.deb
python3-defaults_3.1.3-12+squeeze1.dsc
  to main/p/python3-defaults/python3-defaults_3.1.3-12+squeeze1.dsc
python3-defaults_3.1.3-12+squeeze1.tar.gz
  to main/p/python3-defaults/python3-defaults_3.1.3-12+squeeze1.tar.gz
python3-dev_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-dev_3.1.3-12+squeeze1_all.deb
python3-doc_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-doc_3.1.3-12+squeeze1_all.deb
python3-examples_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-examples_3.1.3-12+squeeze1_all.deb
python3-minimal_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3-minimal_3.1.3-12+squeeze1_all.deb
python3_3.1.3-12+squeeze1_all.deb
  to main/p/python3-defaults/python3_3.1.3-12+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651437@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated python3-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Jan 2012 17:51:58 -0500
Source: python3-defaults
Binary: python3 python3-minimal python3-examples python3-dev idle3 python3-doc python3-dbg python3-all python3-all-dev python3-all-dbg
Architecture: source all
Version: 3.1.3-12+squeeze1
Distribution: stable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 idle3      - IDE for Python using Tkinter (default version)
 python3    - interactive high-level object-oriented language (default python3
 python3-all - package depending on all supported Python runtime versions
 python3-all-dbg - package depending on all supported Python debugging packages
 python3-all-dev - package depending on all supported Python development packages
 python3-dbg - debug build of the Python Interpreter (version 3.1)
 python3-dev - header files and a static library for Python (default)
 python3-doc - documentation for the high-level object-oriented language Python
 python3-examples - examples for the Python language (default version)
 python3-minimal - minimal subset of the Python language (default python3 version)
Closes: 651437
Changes: 
 python3-defaults (3.1.3-12+squeeze1) stable; urgency=low
 .
   * dh_python3: ignore binary files while checking shebangs (Closes: #651437)
     - Cherrypicked from /pkg-python/python3-defaults-debian revision 83
Checksums-Sha1: 
 7a27e0fb7b577716d8980d36d3d22096674565f6 1299 python3-defaults_3.1.3-12+squeeze1.dsc
 3b91f27aa0425b315d79cd4b3df5dc495fbb3bad 134338 python3-defaults_3.1.3-12+squeeze1.tar.gz
 9a9b690e281e869cea3f01656bbcfa6688ab053b 36086 python3_3.1.3-12+squeeze1_all.deb
 08a5527b28544f412fdf4c5750ee28c123b5e874 16706 python3-minimal_3.1.3-12+squeeze1_all.deb
 7b8930352efbb5da401bdb34e2efb21b6a1988e6 862 python3-examples_3.1.3-12+squeeze1_all.deb
 44878d694be9d9ea7479a177c3874f471bb25b65 988 python3-dev_3.1.3-12+squeeze1_all.deb
 5b31966ac2e05a66597c9f51b8792dd67f477ef0 2974 idle3_3.1.3-12+squeeze1_all.deb
 96865394f5531468a21885fa3dfeae26b8126544 16624 python3-doc_3.1.3-12+squeeze1_all.deb
 286a770b82103672fd6a6ff589ebda1efa84cc41 1034 python3-dbg_3.1.3-12+squeeze1_all.deb
 70fca28579c21572d63426402b940baafaadb524 864 python3-all_3.1.3-12+squeeze1_all.deb
 a123267b0dd752579baec3f396e8ef7d66934a7a 880 python3-all-dev_3.1.3-12+squeeze1_all.deb
 d22859f1a7eba8e066e6207a99ae034cfd51145a 888 python3-all-dbg_3.1.3-12+squeeze1_all.deb
Checksums-Sha256: 
 01c145ea46a79e4ad027f6f121de1d51a8fbfca7b302f7d9f05f60fbe0baf807 1299 python3-defaults_3.1.3-12+squeeze1.dsc
 989237538e854cb175448b7892206440420477bb12bed51f3b727c2651b53cb8 134338 python3-defaults_3.1.3-12+squeeze1.tar.gz
 a4c809fabe6be0261489a982951a8484f25f15fd6d778a25fddf38c306be2ec1 36086 python3_3.1.3-12+squeeze1_all.deb
 85cc74c5ad723e7dbfc8f2481b1cd9aeded3b2b22c5ea12f2cf5cdd0f54b6b12 16706 python3-minimal_3.1.3-12+squeeze1_all.deb
 18ebb3fe9a8c433f17aef79bcd3740bb629eea2ae5159b8569d83c3ad3e35fba 862 python3-examples_3.1.3-12+squeeze1_all.deb
 26a6d36bd1fee6d3672120147b5bb277e42c4a6f5e41b9391f5b419190320da7 988 python3-dev_3.1.3-12+squeeze1_all.deb
 650e988944918a4dd512d8149e1241d843eb2a09193d9e63e9951a29a6291e5c 2974 idle3_3.1.3-12+squeeze1_all.deb
 109f42ec550fa5e29e4837091b5aaa0bc0c905eb85cccf4da32bd8d99a726411 16624 python3-doc_3.1.3-12+squeeze1_all.deb
 401ca81bbf8e80c71a78881d22dfc2c0341e21890ee64ac94da945cd24cc724a 1034 python3-dbg_3.1.3-12+squeeze1_all.deb
 c9795f8e0391c8c2ae1f46495e387586728242c5dece036a8bbc77e8ee92f913 864 python3-all_3.1.3-12+squeeze1_all.deb
 a4b6153cc04489c766e12cea0a88e7ac0978230b84931f184239864b8325aebf 880 python3-all-dev_3.1.3-12+squeeze1_all.deb
 193c6acd50aff20faafdd6c77794e5f5e5576f9a36874fa56937fb5be24e0e00 888 python3-all-dbg_3.1.3-12+squeeze1_all.deb
Files: 
 dd6e839c6945b80725df77643c891c2d 1299 python optional python3-defaults_3.1.3-12+squeeze1.dsc
 d8ac0fd3ac8bf58b7ac8e39b1dd067ef 134338 python optional python3-defaults_3.1.3-12+squeeze1.tar.gz
 adc3ca2db7dcadfc76bb2356246cc2a6 36086 python optional python3_3.1.3-12+squeeze1_all.deb
 0fdaafa6906115c677aebfed10a64ae0 16706 python optional python3-minimal_3.1.3-12+squeeze1_all.deb
 2514156a812c8cbd743d76a16f5cfb8f 862 python optional python3-examples_3.1.3-12+squeeze1_all.deb
 bdb073fcac7e75c83225dda15339a2b9 988 python optional python3-dev_3.1.3-12+squeeze1_all.deb
 4c9b7e2b4083b40d4526a0f044bed02c 2974 python optional idle3_3.1.3-12+squeeze1_all.deb
 7e4a95d74f9be3d79b8b396c31d50355 16624 doc optional python3-doc_3.1.3-12+squeeze1_all.deb
 5908d3b8bb7d19a321c2cf3d259fb152 1034 debug extra python3-dbg_3.1.3-12+squeeze1_all.deb
 2fbf9fd0ef4d4fdfb45e985622c9b562 864 python optional python3-all_3.1.3-12+squeeze1_all.deb
 aa59953796db106ae286e7296df055f2 880 python optional python3-all-dev_3.1.3-12+squeeze1_all.deb
 a36642ba5256f93e6eea204f428c0a66 888 debug extra python3-all-dbg_3.1.3-12+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8GLEYACgkQHajaM93NaGrN8QCfTUSxkWS1fi2lC3ODQ+lx4oir
qDcAoILXv9qAndLt1sfujIXobWQLZj/u
=FjlC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Feb 2012 07:37:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:55:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.